RegionÔÉĀ

Region commands are used to create part and assembly sets or surfaces from elements, nodes, and geometry. For more information, see Specifying a region. Part and assembly objects have the following member, a repository of Set objects:

  • sets

In turn, a Set object can contain any one of the following types:

  • elements

  • nodes

  • geometry

A Set object can contain a number of entities of a single type (nodes, elements, or geometry) or a combination of node and element types. However, except for nodes and elements, a Set object cannot contain a combination of types.

The following are members of the Set object:

  • nodes

  • elements

  • cells

  • faces

  • edges

  • vertices

  • referencePoints

Region commands are also used to create surfaces on the assembly. Surfaces are sets with additional sidedness information.

Part sets contain regions of a part. You can assign section definitions to a set created by selecting a region of a part. The part sets can be accessed from the instance; however, the section definition you assigned to a region is copied automatically to all instances of that part in the assembly.

Assembly sets contain regions of an assembly and are used by many commands that operate on the assembly. For example, you can apply a load or boundary condition to a set created by selecting a region of the assembly. Sets can include regions from multiple part instances.

Create regions for PartÔÉĀ

class RegionPart(name: str, dimensionality: SymbolicConstant, type: SymbolicConstant, twist: AbaqusBoolean | bool = OFF)[source]ÔÉĀ
class RegionPart(name: str, objectToCopy: str, scale: float = 1, mirrorPlane: SymbolicConstant = NONE, compressFeatureList: AbaqusBoolean | bool = OFF, separate: AbaqusBoolean | bool = OFF)

Bases: RegionPartBase

The following commands operate on Part objects. For more information about the Part object, see Part object.

Note

This object can be accessed by:

import regionToolset

Public Data Attributes:

Inherited from PartBase

geometryValidity

A Boolean specifying the validity of the geometry of the part.

isOutOfDate

An Int specifying that feature parameters have been modified but that the part has not been regenerated.

timeStamp

A Float specifying when the part was last modified.

vertices

A VertexArray object specifying all the vertices in the part.

ignoredVertices

An IgnoredVertexArray object specifying all the ignored vertices in the part.

edges

An EdgeArray object specifying all the edges in the part.

ignoredEdges

An IgnoredEdgeArray object specifying all the ignored edges in the part.

faces

A FaceArray object specifying all the faces in the part.

cells

A CellArray object specifying all the cells in the part.

features

A repository of Feature objects specifying all the features in the part.

featuresById

A repository of Feature objects specifying all Feature objects in the part.

datums

A repository of Datum objects specifying all the datums in the part.

elements

A MeshElementArray object specifying all the elements in the part.

elemFaces

A repository of MeshFace objects specifying all the element faces in the part.

elementFaces

A MeshFaceArray object specifying all the unique element faces in the part.

nodes

A MeshNodeArray object specifying all the nodes in the part.

retainedNodes

A MeshNodeArray object specifying all the retained nodes in the substructure part.

sets

A repository of Set objects specifying for more information, see Set.

allSets

A repository of Set objects specifying the contents of the allSets repository is the same as the contents of the sets repository.

allInternalSets

A repository of Set objects specifying picked regions.

surfaces

A repository of Surface objects specifying for more information, see Surface.

allSurfaces

A repository of Surface objects specifying the contents of the allSurfaces repository is the same as the contents of the surfaces repository.

allInternalSurfaces

A repository of Surface objects specifying picked regions.

skins

A repository of Skin objects specifying the skins created on the part.

stringers

A repository of Stringer objects specifying the stringers created on the part.

referencePoints

A repository of ReferencePoint objects.

engineeringFeatures

An EngineeringFeature object.

sectionAssignments

A SectionAssignmentArray object.

materialOrientations

A MaterialOrientationArray object.

compositeLayups

A repository of CompositeLayup objects.

elemEdges

A repository of MeshEdge objects specifying all the element edges in the part.

elementEdges

A MeshEdgeArray object specifying all the unique element edges in the part.

name

A String specifying the repository key.

id

An Int specifying the ID of the feature.

Inherited from Feature

name

A String specifying the repository key.

id

An Int specifying the ID of the feature.

Public Methods:

Surface(name[, side1Faces, side2Faces, ...])

This method creates a surface from a sequence of objects in a model database. The surface will apply to the sides specified by the arguments.For example::.

Set()

Skin(name[, faces, edges, elementFaces, ...])

This method creates a skin from a sequence of objects in a model database.

EditSkin([name, faces, edges, elementFaces, ...])

This method modifies underlying entities of the selected skin.

Stringer(name[, edges, elementEdges])

This method creates a stringer from a sequence of objects in a model database.

SetByBoolean(name, sets[, operation])

This method creates a set by performing a boolean operation on two or more input sets.

SetFromColor(name, color)

This method creates a set containing faces of the part marked with a specified color attribute.

SetFromElementLabels(name, elementLabels)

This method creates a set from a sequence of element labels in a model database.

SetFromNodeLabels(name, nodeLabels[, unsorted])

This method creates a set from a sequence of node labels in a model database.

MapSetsFromOdb(odbPath, odbSets[, partSets, ...])

This method creates sets based on mapping sets from element centroid locations in an Odb.

Inherited from RegionPartBase

clashSets(arg1, arg2)

This command prints a message describing the relationship between the contents of two sets.

markSetInternal(setName, internalSet)

This command marks the given Set as internal or external.

markSurfaceInternal(setName, internalSurface)

This command marks the given Surface as internal or external.

isSetInternal(setName)

This command returns a flag indicating whether the Set is Internal.

isSurfaceInternal(surfaceName)

This command returns a flag indicating whether the Surface is Internal.

deleteSets(setNames)

This command deletes the given sets from the part.

deleteSurfaces(surfaceNames)

This command deletes the given surfaces from the part.

Inherited from PartBase

__init__()

PartFromBooleanCut(name, instanceToBeCut, ...)

This method creates a Part in the parts repository after subtracting or cutting the geometries of a group of part instances from that of a base part instance.

PartFromBooleanMerge(name, instances[, ...])

This method creates a Part in the parts repository after merging two or more part instances.

PartFromExtrude2DMesh(name, part, depth, ...)

This method creates a Part object by extruding an existing two-dimensional orphan mesh Part object in the positive Z direction and places it in the parts repository.

PartFromGeometryFile(name, geometryFile, ...)

This method creates a Part object and places it in the parts repository.

PartFromInstanceMesh(name[, partInstances, ...])

This method creates a Part object containing the mesh found in the supplied PartInstance objects and places the new Part object in the parts repository.

PartFromMesh(name[, copySets])

This method creates a Part object containing the mesh found in the part and places the new Part object in the parts repository.

PartFromMeshMirror(name, part, point1, point2)

This method creates a Part object by mirroring an existing orphan mesh Part object about a specified plane and places it in the parts repository.

PartFromNodesAndElements(name, ...[, twist])

This method creates a Part object from nodes and elements and places it in the parts repository.

PartFromOdb(name, odb[, fileName, instance, ...])

This method creates an orphan mesh Part object by reading an output database.

PartFromSection3DMeshByPlane(name, part, ...)

This method creates a Part object by cutting an existing three-dimensional orphan mesh Part object by a plane and places it in the parts repository.

PartFromSubstructure(name, substructureFile, ...)

This method creates a substructure Part object by reading a substructure sim file and places it in the parts repository.

Part2DGeomFrom2DMesh(name, part, featureAngle)

This method creates a geometric Part object from the outline of an existing two-dimensional orphan mesh Part object and places it in the parts repository.

setValues(*args, **kwargs)

This method modifies the Part object.

addGeomToSketch(sketch)

This method converts a part into a sketch by projecting all of the edges of the part onto the X-Y plane of the sketch.

assignThickness(faces[, thickness, ...])

This method assigns thickness data to shell faces.

backup()

This method makes a backup copy of the features in the part.

checkGeometry([detailed, reportFacetErrors, ...])

This method checks the validity of the geometry of the part and prints a count of all topological entities on the part (faces, edges, vertices, etc.).

clearGeometryCache()

This method clears the geometry cache.

deleteAllFeatures()

This method deletes all the features in the part.

deleteFeatures(featureNames)

This method deletes the given features.

getAngle(plane1, plane2, line1, line2[, ...])

This method returns the angle between the specified entities.

getArea(faces[, relativeAccuracy])

This method returns the total surface area of a given face or group of faces.

getAssociatedCADPaths()

This method returns the paths to the associated CAD part and root file.

getCADParameters()

This method returns the names and values of the CAD parameters associated with the part.

getCentroid(faces, cells[, relativeAccuracy])

Location of the centroid of a given face/cell or group of faces/cells.

getCoordinates(entity, csys)

This method returns the coordinates of specified point.

getCurvature(edges[, samplePoints])

This method returns the maximum curvature of a given edge or group of edges.

getDistance(entity1, entity2)

Depending on the arguments provided, this method returns one of the following:

getLength(edges)

This method returns the length of a given edge or group of edges.

getPerimeter(faces)

This method returns the total perimeter of a given face or group of faces.

getVolume(cells[, relativeAccuracy])

This method returns the volume area of a given cell or group of cells.

getMassProperties([regions, ...])

This method returns the mass properties of a part or region.

getFeatureFaces(name)

This method returns a sequence of Face objects that are created by the given feature.

getFeatureEdges(name)

This method returns a sequence of Edge objects that are created by the given feature.

getFeatureCells(name)

This method returns a sequence of Cell objects that are created by the given feature.

getFeatureVertices(name)

This method returns a sequence of ConstrainedSketchVertex objects that are created by the given feature.

isAlignedWithSketch()

This method checks if the normal of an analytical rigid surface part is aligned with that of its sketch.

printAssignedSections()

This method prints information on each section that has been assigned to a region of the part.

projectEdgesOntoSketch(sketch, edges[, ...])

This method projects the selected edges of a part onto the specified ConstrainedSketch object.

projectReferencesOntoSketch(sketch[, ...])

This method projects the vertices of specified edges, and datum points from the part onto the specified ConstrainedSketch object.

queryAttributes([printResults])

This method prints the following information about a part:

queryCachedStates()

This method displays the position of geometric states relative to the sequence of features in the part cache.

queryGeometry([relativeAccuracy, printResults])

This method prints the following information about a part:

queryRegionsMissingSections()

This method returns all regions in the part that do not have a section assignment but require one for analysis.

queryDisjointPlyRegions()

This method provides a list of all composite plys in the current part which have disjoint regions.

regenerate()

This method regenerates a part.

regenerationWarnings()

This method prints any regeneration warnings associated with the features.

removeInvalidGeometry()

Removes all invalid entities from the part, leaving a valid part.

restore()

This method restores the parameters of all features in the assembly to the value they had before a failed regeneration.

resumeAllFeatures()

This method resumes all the suppressed features in the part.

resumeFeatures(featureNames)

This method resumes the specified suppressed features in the part.

resumeLastSetFeatures()

This method resumes the last set of features to be suppressed in the part.

saveGeometryCache()

This method caches the current geometry.

setAssociatedCADPaths([partFile, rootFile])

This method sets the paths to the associated CAD part and root file.

suppressFeatures(featureNames)

This method suppresses the given features.

writeAcisFile(fileName[, version])

This method exports the geometry of the part to a named file in ACIS format.

writeCADParameters(paramFile[, ...])

This method writes the parameters that were imported from the CAD system to a parameter file.

writeIgesFile(fileName, flavor)

This method exports the geometry of the part to a named file in IGES format.

writeStepFile(fileName)

This method exports the geometry of the part to a named file in STEP format.

writeVdaFile(fileName)

This method exports the geometry of the part to a named file in VDA-FS format.

copyMeshPattern(elements, faces, elemFaces, ...)

This method copies a mesh pattern from a source region consisting of a set of shell elements or element faces onto a target face, mapping nodes and elements in a one-one correspondence between source and target.

smoothNodes(nodes)

This method smooths the given nodes of a native mesh, moving them locally to a more optimal location that improves the quality of the mesh.

Lock()

This method locks the part.

Unlock()

This method unlocks the part.

LockForUpgrade()

This method locks the part for upgrade.

Inherited from PartFeature

AutoRepair()

This method carries out a sequence of geometry repair operations if it contains invalid entities.

AddCells(faceList[, flipped])

This method tries to convert a shell entity to a solid entity.

AnalyticRigidSurf2DPlanar(sketch)

This method creates a first Feature object for an analytical rigid surface by creating a planar wire from the given ConstrainedSketch object.

AnalyticRigidSurfExtrude(sketch[, depth])

This method creates a first Feature object for an analytical rigid surface by extruding the given ConstrainedSketch object by the given depth, creating a surface.

AnalyticRigidSurfRevolve(sketch)

This method creates a first Feature object for an analytical rigid surface by revolving the given ConstrainedSketch object by 360¬į about the Y axis.

AssignMidsurfaceRegion(cellList)

This method assign a mid-surface property to sequence of Cell objects.

BaseSolidExtrude(sketch, depth[, ...])

This method creates a first Feature object by extruding the given ConstrainedSketch object by the given depth, creating a solid.

BaseSolidRevolve(sketch, angle[, pitch, ...])

This method creates a first Feature object by revolving the given ConstrainedSketch object by the given angle, creating a solid.

BaseSolidSweep(sketch, path)

This method creates a first Feature object by sweeping the given profile ConstrainedSketch object along the path defined by the path ConstrainedSketch object, creating a solid.

BaseShell(sketch)

This method creates a first Feature object by creating a planar shell from the given ConstrainedSketch object.

BaseShellExtrude(sketch, depth[, ...])

This method creates a first Feature object by extruding the given ConstrainedSketch object by the given depth, creating a shell.

BaseShellRevolve(sketch, angle[, pitch, ...])

This method creates a first Feature object by revolving the given ConstrainedSketch object by the given angle, creating a shell.

BaseShellSweep(sketch, path)

This method creates a first Feature object by sweeping the given section ConstrainedSketch object along the path defined by the path ConstrainedSketch object, creating a shell.

BaseWire(sketch)

This method creates a first Feature object by creating a planar wire from the given ConstrainedSketch object.

BlendFaces(side1, side2[, method, path])

This method creates a Feature object by creating new faces that blends two sets of faces.

Chamfer(length, edgeList)

This method creates an additional Feature object by chamfering the given list of edges with a given length.

Mirror(mirrorPlane, keepOriginal[, ...])

This method mirrors existing part geometry across a plane to create new geometry.

ConvertToAnalytical()

This method attempts to change entities into a simpler form that will speed up processing and make entities available during feature operations.

ConvertToPrecise([method])

This method attempts to change imprecise entities so that the geometry becomes precise.

CoverEdges(edgeList[, tryAnalytical])

This method generates a face using the given edges as the face's boundaries.

Cut(sketchPlane, sketchPlaneSide, ...[, ...])

This method creates an additional Feature object by cutting a hole using the given ConstrainedSketch object.

CutExtrude(sketchPlane, sketchPlaneSide, ...)

This method creates an additional Feature object by extruding the given ConstrainedSketch object by the given depth and cutting away material in the solid and shell regions of the part.

CutLoft(loftsections[, startCondition, ...])

This method creates an additional Feature object by lofting between the given sections and cutting away material from the part.

CutRevolve(sketchPlane, sketchPlaneSide, ...)

This method creates an additional Feature object by revolving the given ConstrainedSketch object by the given angle and cutting away material from the part.

CutSweep(path, profile[, pathPlane, ...])

This method creates an additional Feature object by sweeping the given ConstrainedSketch object along a path which may be a ConstrainedSketch or a sequence of Edge objects and cutting away material from the part.

ExtendFaces([faces, extendAlong, distance, ...])

This method extends faces along its free edges by offsetting the external edges along the surfaces.

FaceFromElementFaces(elementFaces[, stitch, ...])

This method creates a geometry face from a collection of orphan element faces.

HoleBlindFromEdges(plane, planeSide, ...)

This method creates an additional Feature object by creating a circular blind hole of the given diameter and depth and cutting away material in the solid and shell regions of the part.

HoleFromEdges(diameter, edge1, distance1, ...)

This method creates an additional Feature object by creating a circular hole of the given diameter in a 2D planar part and cutting away material in the shell and wire regions of the part.

HoleThruAllFromEdges(plane, planeSide, ...)

This method creates an additional Feature object by creating a circular through hole of the given diameter and cutting away material in the solid and shell regions of the part.

MergeEdges([edgeList, extendSelection])

This method merges edges either by extending the user selection or using only the selected edges.

OffsetFaces(faceList[, distance, ...])

This method creates new faces by offsetting existing faces.

RemoveCells(cellList)

This method converts a solid entity to a shell entity.

RemoveFaces(faceList[, deleteCells])

This method removes faces from a solid entity or from a shell entity.

RemoveFacesAndStitch(faceList)

This method removes faces from a solid entity and attempts to close the resulting gap by extending the neighboring faces of the solid.

RemoveRedundantEntities([vertexList, ...])

This method removes redundant edges and vertices from a solid or a shell entity.

RepairFaceNormals([faceList])

This method works on the entire part or a sequence of shell faces.

RepairInvalidEdges(edgeList)

This method repairs invalid edges.

RepairSliver(face, point1, point2[, ...])

This method repairs the selected sliver from the selected face.

RepairSmallEdges(edgeList[, toleranceChecks])

This method repairs small edges.

RepairSmallFaces(faceList[, toleranceChecks])

This method repairs small faces.

ReplaceFaces(faceList[, stitch])

This method replaces the selected faces with a single face.

Round(radius, edgeList, vertexList)

This method creates an additional Feature object by rounding (filleting) the given list of entities with the given radius.

Shell(sketchPlane, sketchPlaneSide, ...[, ...])

This method creates an additional Feature object by creating a planar shell from the given ConstrainedSketch object.

ShellExtrude(sketchPlane, sketchPlaneSide, ...)

This method creates an additional Feature object by extruding the given ConstrainedSketch object by the given depth, creating a shell protrusion.

ShellLoft(loftsections[, startCondition, ...])

This method creates an additional Feature object by lofting between the given sections and adding shell faces to the part.

ShellRevolve(sketchPlane, sketchPlaneSide, ...)

This method creates an additional Feature object by revolving the given ConstrainedSketch object by the given angle, creating a shell protrusion.

ShellSweep(path, profile[, pathPlane, ...])

This method creates an additional Feature object by sweeping the given ConstrainedSketch object or a sequence of Edge objects along a path which may be a ConstrainedSketch or a sequence of Edge objects, creating a shell swept protrusion.

SolidExtrude(sketchPlane, sketchPlaneSide, ...)

This method creates an additional Feature object by extruding the given ConstrainedSketch object by the given depth, creating a solid protrusion.

SolidLoft(loftsections[, startCondition, ...])

This method creates an additional Feature object by lofting between the given sections and adding material to the part.

SolidRevolve(sketchPlane, sketchPlaneSide, ...)

This method creates an additional Feature object by revolving the given ConstrainedSketch object by the given angle, creating a solid protrusion.

SolidSweep(path, profile[, pathPlane, ...])

This method creates an additional Feature object by sweeping the given ConstrainedSketch object or a Face object along a path which may be a ConstrainedSketch or a sequence of Edge objects, creating a solid swept protrusion.

Stitch([edgeList, stitchTolerance])

This method attempts to create a valid part by binding together free and imprecise edges of all the faces of a part.

Wire(sketchPlane, sketchPlaneSide, ...[, ...])

This method creates an additional Feature object by creating a planar wire from the given ConstrainedSketch object.

WireSpline(points[, mergeType, ...])

This method creates an additional Feature object by creating a spline wire that passes through a sequence of given points.

WirePolyLine(points[, mergeType, meshable])

This method creates an additional Feature object by creating a polyline wire that passes through a sequence of given points.

WireFromEdge(edgeList)

This method creates an additional Feature object by creating a Wire by selecting one or more Edge objects of a Solid or Shell part.

Inherited from Feature

AttachmentPoints(name, points[, ...])

This method creates an attachment points Feature.

AttachmentPointsAlongDirection(name, ...[, ...])

This method creates a Feature object by creating attachment points along a direction or between two points.

AttachmentPointsOffsetFromEdges(name, edges)

This method creates a Feature object by creating attachment points along or offset from one or more connected edges.

DatumAxisByCylFace(face)

This method creates a Feature object and a DatumAxis object along the axis of a cylinder or cone.

DatumAxisByNormalToPlane(plane, point)

This method creates a Feature object and a DatumAxis object normal to the specified plane and passing through the specified point.

DatumAxisByParToEdge(edge, point)

This method creates a Feature object and a DatumAxis object parallel to the specified edge and passing through the specified point.

DatumAxisByPrincipalAxis(principalAxis)

This method creates a Feature object and a DatumAxis object along one of the three principal axes.

DatumAxisByRotation()

DatumAxisByThreePoint(point1, point2, point3)

This method creates a Feature object and a DatumAxis object normal to the circle described by three points and through its center.

DatumAxisByThruEdge(edge)

This method creates a Feature object and a DatumAxis object along the specified edge.

DatumAxisByTwoPlane(plane1, plane2)

This method creates a Feature object and a DatumAxis object at the intersection of two planes.

DatumAxisByTwoPoint(point1, point2)

This method creates a Feature object and a DatumAxis object along the line joining two points.

DatumCsysByDefault(coordSysType[, name])

This method creates a Feature object and a DatumCsys object from the specified default coordinate system at the origin.

DatumCsysByOffset(coordSysType, ...[, name])

This method creates a Feature object and a DatumCsys object by offsetting the origin of an existing datum coordinate system to a specified point.

DatumCsysByThreePoints(coordSysType, origin, ...)

This method creates a Feature object and a DatumCsys object from three points.

DatumCsysByTwoLines(coordSysType, line1, line2)

This method creates a Feature object and a DatumCsys object from two orthogonal lines.

DatumPlaneByPrincipalPlane(principalPlane, ...)

This method creates a Feature object and a DatumPlane object through the origin along one of the three principal planes.

DatumPlaneByOffset()

DatumPlaneByRotation(plane, axis, angle)

This method creates a Feature object and a DatumPlane object by rotating a plane about the specified axis through the specified angle.

DatumPlaneByThreePoints(point1, point2, point3)

This method creates a Feature object and a DatumPlane object defined by passing through three points.

DatumPlaneByLinePoint(line, point)

This method creates a Feature object and a DatumPlane object that pass through the specified line and through the specified point that does not lie on the line.

DatumPlaneByPointNormal(point, normal)

This method creates a Feature object and a DatumPlane object normal to the specified line and running through the specified point.

DatumPlaneByTwoPoint(point1, point2)

This method creates a Feature object and a DatumPlane object midway between two points and normal to the line connecting the points.

DatumPointByCoordinate(coords)

This method creates a Feature object and a DatumPoint object at the point defined by the specified coordinates.

DatumPointByOffset(point, vector)

This method creates a Feature object and a DatumPoint object offset from an existing point by a vector.

DatumPointByMidPoint(point1, point2)

This method creates a Feature object and a DatumPoint object midway between two points.

DatumPointByOnFace(face, edge1, offset1, ...)

This method creates a Feature object and a DatumPoint object on the specified face, offset from two edges.

DatumPointByEdgeParam(edge, parameter)

This method creates a Feature object and a DatumPoint object along an edge at a selected distance from one end of the edge.

DatumPointByProjOnEdge(point, edge)

This method creates a Feature object and a DatumPoint object along an edge by projecting an existing point along the normal to the edge.

DatumPointByProjOnFace(point, face)

This method creates a Feature object and a DatumPoint object on a specified face by projecting an existing point onto the face.

MakeSketchTransform(sketchPlane[, origin, ...])

This method creates a Transform object.

PartitionCellByDatumPlane(cells, datumPlane)

This method partitions one or more cells using the given datum plane.

PartitionCellByExtendFace(cells, extendFace)

This method partitions one or more cells by extending the underlying geometry of a given face to partition the target cells.

PartitionCellByExtrudeEdge(cells, edges, ...)

This method partitions one or more cells by extruding selected edges in the given direction.

PartitionCellByPatchNCorners(cell, cornerPoints)

This method partitions a cell using an N-sided cutting patch defined by the given corner points.

PartitionCellByPatchNEdges(cell, edges)

This method partitions a cell using an N-sided cutting patch defined by the given edges.

PartitionCellByPlaneNormalToEdge(cells, ...)

This method partitions one or more cells using a plane normal to an edge at the given edge point.

PartitionCellByPlanePointNormal(cells, ...)

This method partitions one or more cells using a plane defined by a point and a normal direction.

PartitionCellByPlaneThreePoints(cells, ...)

This method partitions one or more cells using a plane defined by three points.

PartitionCellBySweepEdge(cells, edges, sweepPath)

This method partitions one or more cells by sweeping selected edges along the given sweep path.

PartitionEdgeByDatumPlane(edges, datumPlane)

This method partitions an edge where it intersects with a datum plane.

PartitionEdgeByParam(edges, parameter)

This method partitions one or more edges at the given normalized edge parameter.

PartitionEdgeByPoint(edge, point)

This method partitions an edge at the given point.

PartitionFaceByAuto(face)

This method automatically partitions a target face into simple regions that can be meshed using a structured meshing technique.

PartitionFaceByCurvedPathEdgeParams(face, ...)

This method partitions a face normal to two edges, using a curved path between the two given edge points defined by the normalized edge parameters.

PartitionFaceByCurvedPathEdgePoints(face, ...)

This method partitions a face normal to two edges, using a curved path between the two given edge points.

PartitionFaceByDatumPlane(faces, datumPlane)

This method partitions one or more faces using the given datum plane.

PartitionFaceByExtendFace(faces, extendFace)

This method partitions one or more faces by extending the underlying geometry of another given face to partition the target faces.

PartitionFaceByIntersectFace(faces, cuttingFaces)

This method partitions one or more faces using the given cutting faces to partition the target faces.

PartitionFaceByProjectingEdges(faces, edges)

This method partitions one or more faces by projecting the given edges on the target faces.

PartitionFaceByShortestPath(faces, point1, ...)

This method partitions one or more faces using a minimum distance path between the two given points.

PartitionFaceBySketch(faces, sketch[, ...])

This method partitions one or more planar faces by sketching on them.

PartitionFaceBySketchDistance(faces, ...[, ...])

This method partitions one or more faces by sketching on a sketch plane and then projecting the sketch toward the target faces through the given distance.

PartitionFaceBySketchRefPoint(faces, ...[, ...])

This method partitions one or more faces by sketching on a sketch plane and then projecting the sketch toward the target faces through a distance governed by the reference point.

PartitionFaceBySketchThruAll(faces, ...[, ...])

This method partitions one or more faces by sketching on a sketch plane and then projecting toward the target faces through an infinite distance.

ReferencePoint(point[, instanceName])

This method creates a Feature object and a ReferencePoint object at the specified location.

RemoveWireEdges(wireEdgeList)

This method removes wire edges.

WirePolyLine(points[, mergeType, meshable])

This method creates an additional Feature object by creating a series of wires joining points in pairs.

isSuppressed()

This method queries the suppressed state of the feature.

restore()

This method restores the parameters of a feature to the value they had when the backup method was invoked on the part or assembly.

resume()

This method resumes suppressed features.

setValues([parameter, parameter1, ...])

This method modifies the Feature object.

suppress()

This method suppresses features.


Member Details:

EditSkin(name='', faces=(), edges=(), elementFaces=(), elementEdges=())[source]ÔÉĀ

This method modifies underlying entities of the selected skin. At least one of the optional arguments needs to be specified.

Note

This function can be accessed by:

mdb.models[name].parts[name].EditSkin
Parameters:
  • name (str, default: '') ‚Äď A String specifying the repository key. The default value is an empty string.

  • faces (Sequence[Face], default: ()) ‚Äď A sequence of Face objects specifying the faces on which skins should be created. Applicable to three and two-dimensional parts.

  • edges (Sequence[Edge], default: ()) ‚Äď A sequence of Edge objects specifying the edges on which skins should be created. Applicable to axisymmetric parts.

  • elementFaces (Sequence[MeshFace], default: ()) ‚Äď A sequence of MeshFace objects specifying the mesh faces on which skins should be created. Applicable to three and two-dimensional parts.

  • elementEdges (Sequence[MeshEdge], default: ()) ‚Äď A sequence of MeshEdge objects specifying the mesh edges on which skins should be created. Applicable to axisymmetric parts.

Returns:

skin ‚Äď A Skin object

Return type:

Skin

MapSetsFromOdb(odbPath, odbSets, partSets='', method=abaqusConstants.OVERWRITE)[source]ÔÉĀ

This method creates sets based on mapping sets from element centroid locations in an Odb.

Note

This function can be accessed by:

mdb.models[name].parts[name].MapSetsFromOdb
Parameters:
  • odbPath (str) ‚Äď A String specifying the path to the ODB containing the source sets.

  • odbSets (str) ‚Äď A list of names of sets on the ODB to map.

  • partSets (str, default: '') ‚Äď A list of names of sets to construct or use corresponding to the ODB sets.

  • method (str, default: OVERWRITE) ‚Äď An enum to specify OVERWRITE, APPEND, INTERSECT, or REMOVE. The default is OVERWRITE.

Returns:

A Set object or a tuple of Set objects.

Return type:

Set

Set(name: str, nodes: Sequence[MeshNode] | None = None, elements: Sequence[MeshElement] | None = None, region: Region | None = None)[source]ÔÉĀ
Set(name: str, objectToCopy: Set)
Set(name, *args, **kwargs)
SetByBoolean(name, sets, operation=abaqusConstants.UNION)[source]ÔÉĀ

This method creates a set by performing a boolean operation on two or more input sets.

Note

This function can be accessed by:

mdb.models[name].parts[name].SetByBoolean
mdb.models[name].rootAssembly.SetByBoolean
Parameters:
  • name (str) ‚Äď A String specifying the repository key.

  • sets (Sequence[Set]) ‚Äď A sequence of Set objects.

  • operation (Literal[UNION, INTERSECTION, DIFFERENCE], default: UNION) ‚Äď A SymbolicConstant specifying the boolean operation to perform. Possible values are UNION, INTERSECTION, and DIFFERENCE. The default value is UNION. Note that if DIFFERENCE is specified, the order of the given input sets is important; All sets specified after the first one are subtracted from the first one.

Returns:

A Set object.

Return type:

Set

SetFromColor(name, color)[source]ÔÉĀ

This method creates a set containing faces of the part marked with a specified color attribute. Third-party applications can assign color attributes to faces, and the color attribute can be imported into Abaqus from an ACIS file. You can use this method to create sets only on parts; however, you can access the sets from instances of the parts in the assembly.

Note

This function can be accessed by:

mdb.models[name].parts[name].SetFromColor
Parameters:
  • name (str) ‚Äď A String specifying the repository key.

  • color (tuple) ‚Äď A sequence of three Ints specifying the RGB color. Values can range from 0 to 255. The first integer is for red, the second for green, and the third for blue. For example, a face colored in yellow is identified by:color=(255,255,0)

Returns:

A Set object.

Return type:

Set

SetFromElementLabels(name, elementLabels)[source]ÔÉĀ

This method creates a set from a sequence of element labels in a model database.

Note

This function can be accessed by:

mdb.models[name].parts[name].SetFromElementLabels
mdb.models[name].rootAssembly.SetFromElementLabels
Parameters:
  • name (str) ‚Äď A String specifying the repository key.

  • elementLabels (Sequence[int]) ‚Äď

    A sequence of element labels. An element label is a sequence of Int element identifiers. For example, for a part:

    elementLabels=(2,3,5,7)
    

    For an assembly:

    elementLabels=(('Instance-1', (2,3,5,7)), ('Instance-2', (1,2,3)))`
    

Returns:

A Set object.

Return type:

Set

SetFromNodeLabels(name, nodeLabels, unsorted=False)[source]ÔÉĀ

This method creates a set from a sequence of node labels in a model database.

Note

This function can be accessed by:

mdb.models[name].parts[name].SetFromNodeLabels
mdb.models[name].rootAssembly.SetFromNodeLabels
Parameters:
  • name (str) ‚Äď A String specifying the repository key.

  • nodeLabels (Sequence[int]) ‚Äď

    A sequence of node labels. A node label is a sequence of Int node identifiers. For example, for a part:

    nodeLabels=(2,3,5,7)
    

    For an assembly:

    nodeLabels=(('Instance-1', (2,3,5,7)), ('Instance-2', (1,2,3)))`
    

  • unsorted (Union[AbaqusBoolean, bool], default: False) ‚Äď

    A Boolean specifying whether the created set is unsorted. The default value is False.

    New in version 2018: The unsorted argument was added.

Returns:

A Set object.

Return type:

Set

Skin(name, faces=(), edges=(), elementFaces=(), elementEdges=())[source]ÔÉĀ

This method creates a skin from a sequence of objects in a model database. At least one of the optional arguments needs to be specified.

Note

This function can be accessed by:

mdb.models[name].parts[name].Skin
Parameters:
  • name (str) ‚Äď A String specifying the repository key. The default value is an empty string.

  • faces (Sequence[Face], default: ()) ‚Äď A sequence of Face objects specifying the faces on which skins should be created. Applicable to three and two-dimensional parts.

  • edges (Sequence[Edge], default: ()) ‚Äď A sequence of Edge objects specifying the edges on which skins should be created. Applicable to axisymmetric parts.

  • elementFaces (Sequence[MeshFace], default: ()) ‚Äď A sequence of MeshFace objects specifying the mesh faces on which skins should be created. Applicable to three and two-dimensional parts.

  • elementEdges (Sequence[MeshEdge], default: ()) ‚Äď A sequence of MeshEdge objects specifying the mesh edges on which skins should be created. Applicable to axisymmetric parts.

Returns:

skin ‚Äď A Skin object

Return type:

Skin

Stringer(name, edges=(), elementEdges=())[source]ÔÉĀ

This method creates a stringer from a sequence of objects in a model database. At least one of the optional arguments needs to be specified.

Note

This function can be accessed by:

mdb.models[name].parts[name].Stringer
Parameters:
  • name (str) ‚Äď A String specifying the repository key. The default value is an empty string.

  • edges (Sequence[Edge], default: ()) ‚Äď A sequence of Edge objects specifying the edges on which stringers should be created. Applicable to three and two-dimensional parts.

  • elementEdges (Sequence[MeshEdge], default: ()) ‚Äď A sequence of MeshEdge objects specifying the mesh edges on which stringers should be created. Applicable to three and two-dimensional parts.

Returns:

stringer ‚Äď A Stringer object

Return type:

Stringer

Surface(name, side1Faces=None, side2Faces=None, side12Faces=None, end1Edges=None, end2Edges=None, circumEdges=None, side1Edges=None, side2Edges=None, face1Elements=None, face2Elements=None, face3Elements=None, face4Elements=None, face5Elements=None, face6Elements=None, side1Elements=None, side2Elements=None, side12Elements=None, end1Elements=None, end2Elements=None, circumElements=None, **kwargs)[source]ÔÉĀ

This method creates a surface from a sequence of objects in a model database. The surface will apply to the sides specified by the arguments.For example:

surface=mdb.models['Model-1'].parts['Part-1'].Surface(side1Faces=side1Faces, name='Surf-1')

Note

This function can be accessed by:

mdb.models[name].parts[name].Surface
mdb.models[name].rootAssembly.Surface
Parameters:
  • name (str) ‚Äď A String specifying the repository key. The default value is an empty string.

  • side1Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to SIDE1 of element). The default value is None.

  • side2Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to SIDE2 of element). The default value is None.

  • side12Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to both SIDE1 and SIDE2 of element). The default value is None.

  • end1Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to END1 of element). The default value is None.

  • end2Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to END2 of element). The default value is None.

  • circumElements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to circumference of element). The default value is None.

  • face1Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE1 of element) or MeshFace objects. The default value is None.

  • face2Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE2 of element) or MeshFace objects. The default value is None.

  • face3Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE3 of element) or MeshFace objects. The default value is None.

  • face4Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE4 of element) or MeshFace objects. The default value is None.

  • face5Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE5 of element) or MeshFace objects. The default value is None.

  • face6Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE6 of element) or MeshFace objects. The default value is None.

  • side1Faces (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Face objects (surface applies to SIDE1 of face). The default value is None.

  • side2Faces (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Face objects (surface applies to SIDE2 of face). The default value is None.

  • side12Faces (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Face objects (surface applies to both SIDE1 and SIDE2 of face). The default value is None.

  • side1Edges (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Edge objects (surface applies to SIDE1 of edge). The default value is None.

  • side2Edges (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Edge objects (surface applies to SIDE2 of edge). The default value is None.

  • end1Edges (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Edge objects (surface applies to END1 of edge). The default value is None.

  • end2Edges (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Edge objects (surface applies to END2 of edge). The default value is None.

  • circumEdges (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Edge objects (surface applies circumferentially to edge). The default value is None.

  • kwargs ‚Äď

    The required parameters for different conditions are:

    • On three-dimensional solid faces, you can use the following arguments: side1Faces, side2Faces

    • On three-dimensional shell faces, you can use the following arguments: side1Faces, side2Faces, side12Faces

    • On three-dimensional wire edges, you can use the following arguments: end1Edges, end2Edges, circumEdges

    • On three-dimensional or two-dimensional or axisymmetric edges, you can use the following arguments: side1Edges, side2Edges

    • On two-dimensional or axisymmetric shell elements, you can use the following arguments: face1Elements, face2Elements, face3Elements, face4Elements

    • On solid elements, you can use the following arguments: face1Elements, face2Elements, face3Elements, face4Elements, face5Elements, face6Elements

    • On three-dimensional shell elements, you can use the following arguments: side1Elements, side2Elements, side12Elements

    • On three-dimensional wire elements, you can use the following arguments: end1Elements, end2Elements, circumElements

    • On two-dimensional or axisymmetric wire elements, you can use the following arguments: side1Elements, side2Elements

Returns:

surf ‚Äď A Surface object

Return type:

Surface

Create regions for AssemblyÔÉĀ

class RegionAssembly[source]ÔÉĀ

Bases: RegionAssemblyBase

An Assembly object is a container for instances of parts. The Assembly object has no constructor command. Abaqus creates the rootAssembly member when a Model object is created.

Note

This object can be accessed by:

import assembly
mdb.models[name].rootAssembly

Public Data Attributes:

Inherited from AssemblyBase

isOutOfDate

An Int specifying that feature parameters have been modified but that the assembly has not been regenerated.

timeStamp

A Float specifying which gives an indication when the assembly was last modified.

isLocked

An Int specifying whether the assembly is locked or not.

regenerateConstraintsTogether

A Boolean specifying whether the positioning constraints in the assembly should be regenerated together before regenerating other assembly features.

vertices

A VertexArray object specifying all the vertices existing at the assembly level.

edges

An EdgeArray object specifying all the edges existing at the assembly level.

elements

A MeshElementArray object specifying all the elements existing at the assembly level.

nodes

A MeshNodeArray object specifying all the nodes existing at the assembly level.

instances

A repository of PartInstance objects.

datums

A repository of Datum objects specifying all Datum objects in the assembly.

features

A repository of Feature objects specifying all Feature objects in the assembly.

featuresById

A repository of Feature objects specifying all Feature objects in the assembly.The Feature objects in the featuresById repository are the same as the Feature objects in the features repository.

surfaces

A repository of Surface objects specifying for more information, see [Region commands](https://help.3ds.com/2022/english/DSSIMULIA_Established/SIMACAEKERRefMap/simaker-m-RegPyc-sb.htm?ContextScope=all).

allSurfaces

A repository of Surface objects specifying for more information, see [Region commands](https://help.3ds.com/2022/english/DSSIMULIA_Established/SIMACAEKERRefMap/simaker-m-RegPyc-sb.htm?ContextScope=all).

allInternalSurfaces

A repository of Surface objects specifying picked regions.

sets

A repository of Set objects.

allSets

A repository of Set objects specifying for more information, see [Region commands](https://help.3ds.com/2022/english/DSSIMULIA_Established/SIMACAEKERRefMap/simaker-m-RegPyc-sb.htm?ContextScope=all).

allInternalSets

A repository of Set objects specifying picked regions.

skins

A repository of Skin objects specifying the skins created on the assembly.

stringers

A repository of Stringer objects specifying the stringers created on the assembly.

referencePoints

A repository of ReferencePoint objects.

modelInstances

A repository of ModelInstance objects.

allInstances

A PartInstance object specifying the PartInstances and A ModelInstance object specifying the ModelInstances.

engineeringFeatures

An EngineeringFeature object.

modelName

A String specifying the name of the model to which the assembly belongs.

connectorOrientations

A ConnectorOrientationArray object.

sectionAssignments

A SectionAssignmentArray object.

name

A String specifying the repository key.

id

An Int specifying the ID of the feature.

Inherited from Feature

name

A String specifying the repository key.

id

An Int specifying the ID of the feature.

Public Methods:

Surface(name[, side1Faces, side2Faces, ...])

This method creates a surface from a sequence of objects in a model database.

Set()

Inherited from RegionAssemblyBase

clashSets(arg1, arg2)

This command prints a message describing the relationship between the contents of two sets.

deleteSets(setNames)

This command deletes the given sets from the assembly.

markSetInternal(setName, internalSet)

This command marks the given Set as internal or external.

markSurfaceInternal(setName, internalSurface)

This command marks the given Surface as internal or external.

isSetInternal(setName)

This command returns a flag indicating whether the Set is Internal.

isSurfaceInternal(surfaceName)

This command returns a flag indicating whether the Surface is Internal.

deleteSurfaces(surfaceNames)

This command deletes the given surfaces from the assembly.

Inherited from AssemblyBase

Instance()

This method creates a PartInstance object and puts it into the instances repository.

InstanceFromBooleanCut(name, ...[, ...])

This method creates a PartInstance in the instances repository after subtracting or cutting the geometries of a group of part instances from that of a base part instance.

InstanceFromBooleanMerge(name, instances[, ...])

This method creates a PartInstance in the instances repository after merging two or more part instances.

LinearInstancePattern(instanceList, number1, ...)

This method creates multiple PartInstance objects in a linear pattern and puts them into the instances repository.

RadialInstancePattern(instanceList, number, ...)

This method creates multiple PartInstance objects in a radial pattern and puts them into the instances repository.

backup()

This method makes a backup copy of the features in the assembly.

clearGeometryCache()

This method deletes the geometry cache.

deleteAllFeatures()

This method deletes all the features in the assembly.

deleteFeatures(featureNames)

This method deletes specified features from the assembly.

excludeFromSimulation(instances, exclude)

This method excludes the specified part instances from the analysis.

featurelistInfo()

This method prints the name and status of all the features in the feature lists.

getMassProperties([regions, ...])

This method returns the mass properties of the assembly, or instances or regions.

getAngle(plane1, plane2, line1, line2[, ...])

This method returns the angle between the specified entities.

getCoordinates(entity[, csys])

This method returns the coordinates of a specified point.

getDistance(entity1, entity2[, ...])

Depending on the arguments provided, this method returns one of the following:

getFacesAndVerticesOfAttachmentLines(edges)

Given an array of edge objects, this method returns a tuple of dictionary objects.

getSurfaceSections(surface)

This method returns a list of the sections assigned to the regions encompassed by the specified surface.

importEafFile(filename[, ids])

This method imports an assembly from an EAF file into the root assembly.

importParasolidFile(filename[, ids])

This method imports an assembly from the Parasolid file into the root assembly.

importCatiaV5File(filename[, ids])

This method imports an assembly from a CATIA V5 Elysium Neutral file into the root assembly.

importEnfFile(filename[, ids])

This method imports an assembly from an Elysium Neutral file created by Pro/ENGINEER, I-DEAS, or CATIA V5 into the root assembly.

importIdeasFile(filename[, ids])

This method imports an assembly from an I-DEAS Elysium Neutral file into the root assembly.

importProEFile(filename[, ids])

This method imports an assembly from a Pro/ENGINEER Elysium Neutral file into the root assembly.

makeDependent(instances)

This method converts the specified part instances from independent to dependent part instances.

makeIndependent(instances)

This method converts the specified part instances from dependent to independent part instances.

printAssignedSections()

This method prints a summary of assigned connector sections.

printConnectorOrientations()

This method prints a summary of connector orientations.

projectReferencesOntoSketch(sketch[, ...])

This method projects the specified edges, vertices, and datum points from the assembly onto the specified ConstrainedSketch object.

queryCachedStates()

This method displays the position of geometric states relative to the sequence of features in the assembly cache.

regenerate()

This method regenerates the assembly and brings it up to date with the latest values of the assembly parameters.

regenerationWarnings()

This method prints any regeneration warnings associated with the features.

restore()

This method restores the parameters of all features in the assembly to the value they had before a failed regeneration.

resumeAllFeatures()

This method resumes all the suppressed features in the part or assembly.

resumeFeatures(featureNames)

This method resumes the specified suppressed features in the assembly.

resumeLastSetFeatures()

This method resumes the last set of features to be suppressed in the assembly.

rotate(instanceList, axisPoint, ...)

This method rotates given instances by the specified amount.

translate(instanceList, vector)

This method translates given instances by the specified amount.

saveGeometryCache()

This method caches the current geometry, which improves regeneration performance.

setValues(regenerateConstraintsTogether)

This method modifies the behavior associated with the specified assembly.

suppressFeatures(featureNames)

This method suppresses specified features.

unlinkInstances(instances)

This method converts the specified PartInstance objects from linked child instances to regular instances.

writeAcisFile(fileName[, version])

This method exports the assembly to a named file in ACIS part (SAT) or assembly (ASAT) format.

writeCADParameters(paramFile[, ...])

This method writes the parameters that were imported from the CAD system to a parameter file.

lock()

This method locks the assembly.

unlock()

This method unlocks the assembly.

setMeshNumberingControl(instances[, ...])

This method changes the start node and/or element labels on the specified independent part instances before or after Abaqus/CAE generates the meshes.

copyMeshPattern([elements, faces, ...])

This method copies a mesh pattern from a source region consisting of a set of shell elements or element faces onto a target face, mapping nodes and elements in a one-one correspondence between source and target.

smoothNodes([nodes])

This method smooths the given nodes of a native mesh, moving them locally to a more optimal location that improves the quality of the mesh.

Inherited from AssemblyFeature

AttachmentLines(name, points, sourceFaces, ...)

This method creates a Feature object by creating attachment lines between the given set of source and target faces.

Coaxial(movableAxis, fixedAxis, flip)

This method moves an instance so that its selected face is coaxial with the selected face of a fixed instance.

CoincidentPoint(movablePoint, fixedPoint)

This method moves an instance so that a specified point is coincident with a specified point of a fixed instance.

EdgeToEdge(movableAxis, fixedAxis, flip, ...)

This method moves an instance so that its edge is parallel to an edge of a fixed instance.

FaceToFace(movablePlane, fixedPlane, flip, ...)

This method moves an instance so that its face is coincident with a face of a fixed instance.

ParallelCsys(movableCsys, fixedCsys)

This method moves an instance so that its Datum coordinate system is parallel to a Datum coordinate system of a fixed instance.

ParallelEdge(movableAxis, fixedAxis, flip)

This method moves an instance so that its edge is parallel to an edge of a fixed instance.

ParallelFace(movablePlane, fixedPlane, flip)

This method moves an instance so that its face is parallel to a face of a fixed instance.

Inherited from Feature

AttachmentPoints(name, points[, ...])

This method creates an attachment points Feature.

AttachmentPointsAlongDirection(name, ...[, ...])

This method creates a Feature object by creating attachment points along a direction or between two points.

AttachmentPointsOffsetFromEdges(name, edges)

This method creates a Feature object by creating attachment points along or offset from one or more connected edges.

DatumAxisByCylFace(face)

This method creates a Feature object and a DatumAxis object along the axis of a cylinder or cone.

DatumAxisByNormalToPlane(plane, point)

This method creates a Feature object and a DatumAxis object normal to the specified plane and passing through the specified point.

DatumAxisByParToEdge(edge, point)

This method creates a Feature object and a DatumAxis object parallel to the specified edge and passing through the specified point.

DatumAxisByPrincipalAxis(principalAxis)

This method creates a Feature object and a DatumAxis object along one of the three principal axes.

DatumAxisByRotation()

DatumAxisByThreePoint(point1, point2, point3)

This method creates a Feature object and a DatumAxis object normal to the circle described by three points and through its center.

DatumAxisByThruEdge(edge)

This method creates a Feature object and a DatumAxis object along the specified edge.

DatumAxisByTwoPlane(plane1, plane2)

This method creates a Feature object and a DatumAxis object at the intersection of two planes.

DatumAxisByTwoPoint(point1, point2)

This method creates a Feature object and a DatumAxis object along the line joining two points.

DatumCsysByDefault(coordSysType[, name])

This method creates a Feature object and a DatumCsys object from the specified default coordinate system at the origin.

DatumCsysByOffset(coordSysType, ...[, name])

This method creates a Feature object and a DatumCsys object by offsetting the origin of an existing datum coordinate system to a specified point.

DatumCsysByThreePoints(coordSysType, origin, ...)

This method creates a Feature object and a DatumCsys object from three points.

DatumCsysByTwoLines(coordSysType, line1, line2)

This method creates a Feature object and a DatumCsys object from two orthogonal lines.

DatumPlaneByPrincipalPlane(principalPlane, ...)

This method creates a Feature object and a DatumPlane object through the origin along one of the three principal planes.

DatumPlaneByOffset()

DatumPlaneByRotation(plane, axis, angle)

This method creates a Feature object and a DatumPlane object by rotating a plane about the specified axis through the specified angle.

DatumPlaneByThreePoints(point1, point2, point3)

This method creates a Feature object and a DatumPlane object defined by passing through three points.

DatumPlaneByLinePoint(line, point)

This method creates a Feature object and a DatumPlane object that pass through the specified line and through the specified point that does not lie on the line.

DatumPlaneByPointNormal(point, normal)

This method creates a Feature object and a DatumPlane object normal to the specified line and running through the specified point.

DatumPlaneByTwoPoint(point1, point2)

This method creates a Feature object and a DatumPlane object midway between two points and normal to the line connecting the points.

DatumPointByCoordinate(coords)

This method creates a Feature object and a DatumPoint object at the point defined by the specified coordinates.

DatumPointByOffset(point, vector)

This method creates a Feature object and a DatumPoint object offset from an existing point by a vector.

DatumPointByMidPoint(point1, point2)

This method creates a Feature object and a DatumPoint object midway between two points.

DatumPointByOnFace(face, edge1, offset1, ...)

This method creates a Feature object and a DatumPoint object on the specified face, offset from two edges.

DatumPointByEdgeParam(edge, parameter)

This method creates a Feature object and a DatumPoint object along an edge at a selected distance from one end of the edge.

DatumPointByProjOnEdge(point, edge)

This method creates a Feature object and a DatumPoint object along an edge by projecting an existing point along the normal to the edge.

DatumPointByProjOnFace(point, face)

This method creates a Feature object and a DatumPoint object on a specified face by projecting an existing point onto the face.

MakeSketchTransform(sketchPlane[, origin, ...])

This method creates a Transform object.

PartitionCellByDatumPlane(cells, datumPlane)

This method partitions one or more cells using the given datum plane.

PartitionCellByExtendFace(cells, extendFace)

This method partitions one or more cells by extending the underlying geometry of a given face to partition the target cells.

PartitionCellByExtrudeEdge(cells, edges, ...)

This method partitions one or more cells by extruding selected edges in the given direction.

PartitionCellByPatchNCorners(cell, cornerPoints)

This method partitions a cell using an N-sided cutting patch defined by the given corner points.

PartitionCellByPatchNEdges(cell, edges)

This method partitions a cell using an N-sided cutting patch defined by the given edges.

PartitionCellByPlaneNormalToEdge(cells, ...)

This method partitions one or more cells using a plane normal to an edge at the given edge point.

PartitionCellByPlanePointNormal(cells, ...)

This method partitions one or more cells using a plane defined by a point and a normal direction.

PartitionCellByPlaneThreePoints(cells, ...)

This method partitions one or more cells using a plane defined by three points.

PartitionCellBySweepEdge(cells, edges, sweepPath)

This method partitions one or more cells by sweeping selected edges along the given sweep path.

PartitionEdgeByDatumPlane(edges, datumPlane)

This method partitions an edge where it intersects with a datum plane.

PartitionEdgeByParam(edges, parameter)

This method partitions one or more edges at the given normalized edge parameter.

PartitionEdgeByPoint(edge, point)

This method partitions an edge at the given point.

PartitionFaceByAuto(face)

This method automatically partitions a target face into simple regions that can be meshed using a structured meshing technique.

PartitionFaceByCurvedPathEdgeParams(face, ...)

This method partitions a face normal to two edges, using a curved path between the two given edge points defined by the normalized edge parameters.

PartitionFaceByCurvedPathEdgePoints(face, ...)

This method partitions a face normal to two edges, using a curved path between the two given edge points.

PartitionFaceByDatumPlane(faces, datumPlane)

This method partitions one or more faces using the given datum plane.

PartitionFaceByExtendFace(faces, extendFace)

This method partitions one or more faces by extending the underlying geometry of another given face to partition the target faces.

PartitionFaceByIntersectFace(faces, cuttingFaces)

This method partitions one or more faces using the given cutting faces to partition the target faces.

PartitionFaceByProjectingEdges(faces, edges)

This method partitions one or more faces by projecting the given edges on the target faces.

PartitionFaceByShortestPath(faces, point1, ...)

This method partitions one or more faces using a minimum distance path between the two given points.

PartitionFaceBySketch(faces, sketch[, ...])

This method partitions one or more planar faces by sketching on them.

PartitionFaceBySketchDistance(faces, ...[, ...])

This method partitions one or more faces by sketching on a sketch plane and then projecting the sketch toward the target faces through the given distance.

PartitionFaceBySketchRefPoint(faces, ...[, ...])

This method partitions one or more faces by sketching on a sketch plane and then projecting the sketch toward the target faces through a distance governed by the reference point.

PartitionFaceBySketchThruAll(faces, ...[, ...])

This method partitions one or more faces by sketching on a sketch plane and then projecting toward the target faces through an infinite distance.

ReferencePoint(point[, instanceName])

This method creates a Feature object and a ReferencePoint object at the specified location.

RemoveWireEdges(wireEdgeList)

This method removes wire edges.

WirePolyLine(points[, mergeType, meshable])

This method creates an additional Feature object by creating a series of wires joining points in pairs.

isSuppressed()

This method queries the suppressed state of the feature.

restore()

This method restores the parameters of a feature to the value they had when the backup method was invoked on the part or assembly.

resume()

This method resumes suppressed features.

setValues([parameter, parameter1, ...])

This method modifies the Feature object.

suppress()

This method suppresses features.


Member Details:

Set(name: str, nodes: Sequence[MeshNode] | None = None, elements: Sequence[MeshElement] | None = None, region: Region | None = None)[source]ÔÉĀ
Set(name: str, objectToCopy: Set)
Set(name, *args, **kwargs)
Surface(name, side1Faces=None, side2Faces=None, side12Faces=None, end1Edges=None, end2Edges=None, circumEdges=None, side1Edges=None, side2Edges=None, face1Elements=None, face2Elements=None, face3Elements=None, face4Elements=None, face5Elements=None, face6Elements=None, side1Elements=None, side2Elements=None, side12Elements=None, end1Elements=None, end2Elements=None, circumElements=None)[source]ÔÉĀ

This method creates a surface from a sequence of objects in a model database. The surface will apply to the sides specified by the arguments.For example surface=mdb.models[‚ÄėModel-1‚Äô].parts[‚ÄėPart-1‚Äô].Surface(side1Faces=side1Faces, name=‚ÄôSurf-1‚Äô)

Note

This function can be accessed by:

mdb.models[name].parts[name].Surface
mdb.models[name].rootAssembly.Surface
Parameters:
  • name (str) ‚Äď A String specifying the repository key. The default value is an empty string.

  • side1Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to SIDE1 of element). The default value is None.

  • side2Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to SIDE2 of element). The default value is None.

  • side12Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to both SIDE1 and SIDE2 of element). The default value is None.

  • end1Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to END1 of element). The default value is None.

  • end2Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to END2 of element). The default value is None.

  • circumElements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to circumference of element). The default value is None.

  • face1Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE1 of element) or MeshFace objects. The default value is None.

  • face2Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE2 of element) or MeshFace objects. The default value is None.

  • face3Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE3 of element) or MeshFace objects. The default value is None.

  • face4Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE4 of element) or MeshFace objects. The default value is None.

  • face5Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE5 of element) or MeshFace objects. The default value is None.

  • face6Elements (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of MeshElement objects (surface applies to FACE6 of element) or MeshFace objects. The default value is None.

  • side1Faces (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Face objects (surface applies to SIDE1 of face). The default value is None.

  • side2Faces (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Face objects (surface applies to SIDE2 of face). The default value is None.

  • side12Faces (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Face objects (surface applies to both SIDE1 and SIDE2 of face). The default value is None.

  • side1Edges (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Edge objects (surface applies to SIDE1 of edge). The default value is None.

  • side2Edges (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Edge objects (surface applies to SIDE2 of edge). The default value is None.

  • end1Edges (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Edge objects (surface applies to END1 of edge). The default value is None.

  • end2Edges (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Edge objects (surface applies to END2 of edge). The default value is None.

  • circumEdges (Union[Face, Sequence[Face], None], default: None) ‚Äď A sequence of Edge objects (surface applies circumferentially to edge). The default value is None.

  • kwargs ‚Äď

    The required parameters for different conditions are:

    • On three-dimensional solid faces, you can use the following arguments: side1Faces, side2Faces

    • On three-dimensional shell faces, you can use the following arguments: side1Faces, side2Faces, side12Faces

    • On three-dimensional wire edges, you can use the following arguments: end1Edges, end2Edges, circumEdges

    • On three-dimensional or two-dimensional or axisymmetric edges, you can use the following arguments: side1Edges, side2Edges

    • On two-dimensional or axisymmetric shell elements, you can use the following arguments: face1Elements, face2Elements, face3Elements, face4Elements

    • On solid elements, you can use the following arguments: face1Elements, face2Elements, face3Elements, face4Elements, face5Elements, face6Elements

    • On three-dimensional shell elements, you can use the following arguments: side1Elements, side2Elements, side12Elements

    • On three-dimensional wire elements, you can use the following arguments: end1Elements, end2Elements, circumElements

    • On two-dimensional or axisymmetric wire elements, you can use the following arguments: side1Elements, side2Elements

Returns:

A Surface object.

Return type:

Surface

Other ClassesÔÉĀ

class Region(elements: Sequence[MeshElement] | None = None, nodes: Sequence[MeshNode] | None = None, vertices: Sequence[Vertex] | None = None, edges: Sequence[Edge] | None = None, faces: Sequence[Face] | None = None, cells: Sequence[Cell] | None = None, referencePoints: Sequence[ReferencePoint] = (), xVertices: Sequence[Vertex] | None = None, xEdges: Sequence[Vertex] | None = None, xFaces: Sequence[Vertex] | None = None, skinFaces: tuple[tuple[str, Sequence[Face]], ...] = ..., skinEdges: tuple[tuple[str, Sequence[Edge]], ...] = ..., stringerEdges: tuple[tuple[str, Sequence[Edge]], ...] = ...)[source]ÔÉĀ
class Region(side1Faces: Face | Sequence[Face] | None = None, side2Faces: Face | Sequence[Face] | None = None, side12Faces: Face | Sequence[Face] | None = None, side1Edges: Edge | Sequence[Edge] | None = None, side2Edges: Edge | Sequence[Edge] | None = None, end1Edges: Edge | Sequence[Edge] | None = None, end2Edges: Edge | Sequence[Edge] | None = None, circumEdges: Edge | Sequence[Edge] | None = None, face1Elements: MeshElement | Sequence[MeshElement] | None = None, face2Elements: MeshElement | Sequence[MeshElement] | None = None, face3Elements: MeshElement | Sequence[MeshElement] | None = None, face4Elements: MeshElement | Sequence[MeshElement] | None = None, face5Elements: MeshElement | Sequence[MeshElement] | None = None, face6Elements: MeshElement | Sequence[MeshElement] | None = None, side1Elements: MeshElement | Sequence[MeshElement] | None = None, side2Elements: MeshElement | Sequence[MeshElement] | None = None, side12Elements: MeshElement | Sequence[MeshElement] | None = None, end1Elements: MeshElement | Sequence[MeshElement] | None = None, end2Elements: MeshElement | Sequence[MeshElement] | None = None, circumElements: MeshElement | Sequence[MeshElement] | None = None)

Bases: object

The purpose of the Region object is to provide a link between an attribute and the geometric or discrete entities to which the attribute is applied. An attribute (Load, BC, IC, etc.) is applied to one or more Region objects; each Region object in turn is associated with a picked Set or Surface or with a named Set or Surface. The Region object provides a unified interface (or ‚Äúfa√ßade‚ÄĚ) to data and functionality located at the Set or Surface. A script that applies an attribute to a picked Set or Surface requires the explicit creation of a Region object and will implicitly create a matching internal Set or Surface. Conversely, a script that applies an attribute to a named Set or Surface requires the explicit creation of that Set or Surface (see 39.4) and will implicitly create a region object. The reference between Region and Set/Surface is by name (user-provided or internal.) If the Set/Surface is suppressed, deleted, or renamed, the Region object will not be able to find the associated Set/Surface, and will communicate that to the attribute, but will not be affected otherwise. If a Set/Surface with the same name becomes available (only possible with user-provided names) the Region object will re-establish the connection. Another way of correcting this problem is to re-apply the attribute. Wherever a particular Load, BC, IC, etc. command accepts a named set or a named surface, that command will also accept a Region object. For example:

myRegion = regionToolset.Region(edges=edges1)
mdb.models['Model-1'].DisplacementBC(name='BC-1'
    createStepName='Initial', region=myRegion, u1=SET
    u2=SET)
myRegion = regionToolset.Region(elements=e[1:100])
p = mdb.models['mirror'].parts['COLLAR_MIRROR-1']
p.SectionAssignment(region=myRegion, sectionName='Section-1')

Abaqus does not provide a regions repository; as an alternative, you should assign a variable to a Region object and refer to the variable. The lifecycle of a Region object is similar to the lifecycle of a Leaf object used by display groups; as a result, you should use a Region object immediately after you create it. The contents of a Region object are not intended to survive regeneration. If you use an out-of-date Region object, the script is unlikely to function correctly. Querying an attribute’s Region will return a Region tuple. The contents of the tuple are the set name followed by the owners of the set and three flags expressed as integers. The flags indicate the region space, the type of region and the whether the region is an internal set.

Note

This object can be accessed by:

import regionToolset

Member Details:

class RegionAssemblyBase[source]ÔÉĀ

Bases: AssemblyBase

The following commands operate on Assembly objects. For more information about the Assembly object, see Assembly object.

Note

This object can be accessed by:

import regionToolset

Member Details:

clashSets(arg1, arg2)[source]ÔÉĀ

This command prints a message describing the relationship between the contents of two sets. Possible outcomes are:

  • Both sets are the same.

  • Set 2 is a subset of set 1.

  • Set 2 is a superset of set 1.

  • Set 2 intersects set 1.

  • Set 2 touches set 1 (their boundaries intersect).

  • Set 2 and set 1 are disjoint.

This command accepts only positional arguments and has no keywords.

Parameters:
  • arg1 (str) ‚Äď A Set or Surface object specifying set 1.

  • arg2 (str) ‚Äď A Set or Surface object specifying set 2.

deleteSets(setNames)[source]ÔÉĀ

This command deletes the given sets from the assembly.

Parameters:

setNames (tuple) ‚Äď A sequence of Strings specifying the set names that will be deleted from the assembly.

deleteSurfaces(surfaceNames)[source]ÔÉĀ

This command deletes the given surfaces from the assembly.

Parameters:

surfaceNames (tuple) ‚Äď A sequence of Strings specifying the surface names that will be deleted from the assembly.

isSetInternal(setName)[source]ÔÉĀ

This command returns a flag indicating whether the Set is Internal.

Parameters:

setName (str) ‚Äď A string specifying the Set name.

isSurfaceInternal(surfaceName)[source]ÔÉĀ

This command returns a flag indicating whether the Surface is Internal.

Parameters:

surfaceName (str) ‚Äď A string specifying the Surface name.

markSetInternal(setName, internalSet)[source]ÔÉĀ

This command marks the given Set as internal or external.

Parameters:
  • setName (str) ‚Äď A string specifying the Set name.

  • internalSet (Union[AbaqusBoolean, bool]) ‚Äď A Boolean specifying whether the Set should be marked as internal.

markSurfaceInternal(setName, internalSurface)[source]ÔÉĀ

This command marks the given Surface as internal or external.

Parameters:
  • setName (str) ‚Äď A string specifying the Surface name.

  • internalSurface (Union[AbaqusBoolean, bool]) ‚Äď A Boolean specifying whether the Surface should be marked as internal.

class Set(name: str, nodes: Sequence[MeshNode] | None = None, elements: Sequence[MeshElement] | None = None, region: Region | None = None, vertices: Sequence[Vertex] | None = None, edges: Sequence[Edge] | None = None, faces: Sequence[Face] | None = None, cells: Sequence[Cell] | None = None, xVertices: Sequence[Vertex] | None = None, xEdges: Sequence[Edge] | None = None, xFaces: Sequence[Face] | None = None, referencePoints: Sequence[ReferencePoint] = (), skinFaces: tuple[tuple[str, Sequence[Face]], ...] = ..., skinEdges: tuple[tuple[str, Sequence[Edge]], ...] = ..., stringerEdges: tuple[tuple[str, Sequence[Edge]], ...] = ...)[source]ÔÉĀ
class Set(name: str, objectToCopy: Set)

Bases: Region

If a set spans more than one part instance, the members vertices, edges, faces, cells, elements, or nodes return a sequence of all the queried vertices/edges/faces/cells/elements/nodes respectively for each part instance contained in the set. For example:

assembly=mdb.models['Transmission'].rootAssembly
clutchElements=assembly.instances['Clutch'].elements
clutchSet=clutchElements[16:18]+clutchElements[78:80]
housingElements=assembly.instances['Housing'].elements
housingSet=housingElements[45:48]
transmissionSet=assembly.Set(name='TransmissionSet', elements=(clutchSet, housingSet))
len(transmissionSet.elements)=7
transmissionSet.elements[0]=mdb.models['Transmission'].rootAssembly.instances['Clutch-1'].elements[16]
transmissionSet.elements[6]=mdb.models['Transmission'].rootAssembly.instances['housing-'].elements[47]

Note

This object can be accessed by:

import part
mdb.models[name].parts[name].allInternalSets[name]
mdb.models[name].parts[name].allSets[name]
mdb.models[name].parts[name].sets[name]
import assembly
mdb.models[name].rootAssembly.allInstances[name].sets[name]
mdb.models[name].rootAssembly.allInternalSets[name]
mdb.models[name].rootAssembly.allSets[name]
mdb.models[name].rootAssembly.instances[name].sets[name]
mdb.models[name].rootAssembly.modelInstances[i].sets[name]
mdb.models[name].rootAssembly.sets[name]

Member Details:

MapSetsFromOdb(odbPath, odbSets, partSets='', method=abaqusConstants.OVERWRITE)[source]ÔÉĀ

This method creates sets based on mapping sets from element centroid locations in an Odb.

Note

This function can be accessed by:

mdb.models[name].parts[name].MapSetsFromOdb
Parameters:
  • odbPath (str) ‚Äď A String specifying the path to the ODB containing the source sets.

  • odbSets (str) ‚Äď A list of names of sets on the ODB to map.

  • partSets (str, default: '') ‚Äď A list of names of sets to construct or use corresponding to the ODB sets.

  • method (str, default: OVERWRITE) ‚Äď An enum to specify OVERWRITE, APPEND, INTERSECT, or REMOVE. The default is OVERWRITE.

Returns:

A Set object or a tuple of Set objects.

Return type:

Set

SetByBoolean(name, sets, operation=abaqusConstants.UNION)[source]ÔÉĀ

This method creates a set by performing a boolean operation on two or more input sets.

Note

This function can be accessed by:

mdb.models[name].parts[name].SetByBoolean
mdb.models[name].rootAssembly.SetByBoolean
Parameters:
  • name (str) ‚Äď A String specifying the repository key.

  • sets (Sequence[Set]) ‚Äď A sequence of Set objects.

  • operation (Literal[UNION, INTERSECTION, DIFFERENCE], default: UNION) ‚Äď A SymbolicConstant specifying the boolean operation to perform. Possible values are UNION, INTERSECTION, and DIFFERENCE. The default value is UNION. Note that if DIFFERENCE is specified, the order of the given input sets is important; All sets specified after the first one are subtracted from the first one.

Returns:

A Set object.

Return type:

Set

SetFromColor(name, color)[source]ÔÉĀ

This method creates a set containing faces of the part marked with a specified color attribute. Third-party applications can assign color attributes to faces, and the color attribute can be imported into Abaqus from an ACIS file. You can use this method to create sets only on parts; however, you can access the sets from instances of the parts in the assembly.

Note

This function can be accessed by:

mdb.models[name].parts[name].SetFromColor
Parameters:
  • name (str) ‚Äď A String specifying the repository key.

  • color (tuple) ‚Äď A sequence of three Ints specifying the RGB color. Values can range from 0 to 255. The first integer is for red, the second for green, and the third for blue. For example, a face colored in yellow is identified by:color=(255,255,0)

Returns:

A Set object.

Return type:

Set

SetFromElementLabels(name, elementLabels)[source]ÔÉĀ

This method creates a set from a sequence of element labels in a model database.

Note

This function can be accessed by:

mdb.models[name].parts[name].SetFromElementLabels
mdb.models[name].rootAssembly.SetFromElementLabels
Parameters:
  • name (str) ‚Äď A String specifying the repository key.

  • elementLabels (Sequence[int]) ‚Äď

    A sequence of element labels. An element label is a sequence of Int element identifiers. For example, for a part:

    elementLabels=(2,3,5,7)
    

    For an assembly:

    elementLabels=(('Instance-1', (2,3,5,7)), ('Instance-2', (1,2,3)))`
    

Returns:

A Set object.

Return type:

Set

SetFromNodeLabels(name, nodeLabels, unsorted=False)[source]ÔÉĀ

This method creates a set from a sequence of node labels in a model database.

Note

This function can be accessed by:

mdb.models[name].parts[name].SetFromNodeLabels
mdb.models[name].rootAssembly.SetFromNodeLabels
Parameters:
  • name (str) ‚Äď A String specifying the repository key.

  • nodeLabels (Sequence[int]) ‚Äď

    A sequence of node labels. A node label is a sequence of Int node identifiers. For example, for a part:

    nodeLabels=(2,3,5,7)
    

    For an assembly:

    nodeLabels=(('Instance-1', (2,3,5,7)), ('Instance-2', (1,2,3)))`
    

  • unsorted (Union[AbaqusBoolean, bool], default: False) ‚Äď

    A Boolean specifying whether the created set is unsorted. The default value is False.

    New in version 2018: The unsorted argument was added.

Returns:

A Set object.

Return type:

Set

cells: CellArray = [][source]ÔÉĀ

A CellArray object.

edges: EdgeArray = [][source]ÔÉĀ

An EdgeArray object.

elements: MeshElementArray = [][source]ÔÉĀ

A MeshElementArray object.

faces: FaceArray = [][source]ÔÉĀ

A FaceArray object.

nodes: MeshNodeArray = [][source]ÔÉĀ

A MeshNodeArray object.

referencePoints: List[ReferencePoint] = [][source]ÔÉĀ

A ReferencePointArray object.

vertices: VertexArray = [][source]ÔÉĀ

A VertexArray object.

xEdges: EdgeArray = [][source]ÔÉĀ

An EdgeArray object.

xFaces: FaceArray = [][source]ÔÉĀ

A FaceArray object.

xVertices: VertexArray = [][source]ÔÉĀ

A VertexArray object.

class Surface(name: str, side1Faces: Face | Sequence[Face] | None = None, side2Faces: Face | Sequence[Face] | None = None, side12Faces: Face | Sequence[Face] | None = None, end1Edges: Face | Sequence[Face] | None = None, end2Edges: Face | Sequence[Face] | None = None, circumEdges: Face | Sequence[Face] | None = None, side1Edges: Face | Sequence[Face] | None = None, side2Edges: Face | Sequence[Face] | None = None, face1Elements: Face | Sequence[Face] | None = None, face2Elements: Face | Sequence[Face] | None = None, face3Elements: Face | Sequence[Face] | None = None, face4Elements: Face | Sequence[Face] | None = None, face5Elements: Face | Sequence[Face] | None = None, face6Elements: Face | Sequence[Face] | None = None, side1Elements: Face | Sequence[Face] | None = None, side2Elements: Face | Sequence[Face] | None = None, side12Elements: Face | Sequence[Face] | None = None, end1Elements: Face | Sequence[Face] | None = None, end2Elements: Face | Sequence[Face] | None = None, circumElements: Face | Sequence[Face] | None = None, **kwargs)[source]ÔÉĀ
class Surface(name: str, objectToCopy: Surface)

Bases: Region

The Surface object stores surfaces selected from the assembly. A surface is comprised of geometric or discrete entities but not both. An instance of a Surface object is available from the surface member of the Assembly object.

Note

This object can be accessed by:

import part
mdb.models[name].parts[name].allInternalSurfaces[name]
mdb.models[name].parts[name].allSurfaces[name]
mdb.models[name].parts[name].surfaces[name]
import assembly
mdb.models[name].rootAssembly.allInstances[name].surfaces[name]
mdb.models[name].rootAssembly.allInternalSurfaces[name]
mdb.models[name].rootAssembly.allSurfaces[name]
mdb.models[name].rootAssembly.instances[name].surfaces[name]
mdb.models[name].rootAssembly.modelInstances[i].surfaces[name]
mdb.models[name].rootAssembly.surfaces[name]

Member Details:

SurfaceByBoolean(name, surfaces, operation=abaqusConstants.UNION)[source]ÔÉĀ

This method creates a surface by performing a boolean operation on two or more input surfaces.

Note

This function can be accessed by:

mdb.models[name].parts[name].Surface
mdb.models[name].rootAssembly.Surface
Parameters:
  • name (str) ‚Äď A String specifying the repository key.

  • surfaces (Sequence[Surface]) ‚Äď A sequence of Surface objects.

  • operation (Literal[UNION, INTERSECTION, DIFFERENCE], default: UNION) ‚Äď A SymbolicConstant specifying the boolean operation to perform. Possible values are UNION, INTERSECTION, and DIFFERENCE. The default value is UNION. Note that if DIFFERENCE is specified, the order of the given input surfaces is important; All surfaces specified after the first one are subtracted from the first one.

Returns:

A Surface object.

Return type:

Surface

SurfaceFromElsets(name, elementSetSeq)[source]ÔÉĀ

This method creates a surface from a sequence of element sets in a model database.

Note

This function can be accessed by:

mdb.models[name].parts[name].Surface
mdb.models[name].rootAssembly.Surface
Parameters:
  • name (str) ‚Äď A String specifying the repository key.

  • elementSetSeq (tuple) ‚Äď

    A sequence of element sets. For example:

    elementSetSeq=((elset1, S1),(elset2, S2))
    
    where ``elset1=mdb.models[name].rootAssembly.sets['Clutch']``
    and ``S1`` and ``S2`` indicate the side of the element set.
    

Returns:

A Surface object.

Return type:

Surface

edges: EdgeArray = [][source]ÔÉĀ

An EdgeArray object.

elements: MeshElementArray = [][source]ÔÉĀ

A MeshElementArray object.

faces: FaceArray = [][source]ÔÉĀ

A FaceArray object.

instances: Optional[int] = None[source]ÔÉĀ

A tuple of Ints specifying the instances. This member is not applicable for a Surface object on an output database.

nodes: MeshNodeArray = [][source]ÔÉĀ

A MeshNodeArray object.

sides: Optional[Sequence[SymbolicConstant]] = None[source]ÔÉĀ

A tuple of SymbolicConstants specifying the sides; for example, (SIDE1, SIDE2).

class RegionPartBase(name: str, dimensionality: SymbolicConstant, type: SymbolicConstant, twist: AbaqusBoolean | bool = OFF)[source]ÔÉĀ
class RegionPartBase(name: str, objectToCopy: str, scale: float = 1, mirrorPlane: SymbolicConstant = NONE, compressFeatureList: AbaqusBoolean | bool = OFF, separate: AbaqusBoolean | bool = OFF)

Bases: PartBase

The following commands operate on Part objects. For more information about the Part object, see Part object.

Note

This object can be accessed by:

import regionToolset

Member Details:

clashSets(arg1, arg2)[source]ÔÉĀ

This command prints a message describing the relationship between the contents of two sets. Possible outcomes are:

  • Both sets are the same.

  • Set 2 is a subset of set 1.

  • Set 2 is a superset of set 1.

  • Set 2 intersects set 1.

  • Set 2 touches set 1 (their boundaries intersect).

  • Set 2 and set 1 are disjoint.

This command accepts only positional arguments and has no keywords.

Parameters:
  • arg1 (str) ‚Äď A Set or Surface object specifying set 1.

  • arg2 (str) ‚Äď A Set or Surface object specifying set 2.

deleteSets(setNames)[source]ÔÉĀ

This command deletes the given sets from the part.

Parameters:

setNames (tuple) ‚Äď A sequence of Strings specifying the set names that will be deleted from the part.

deleteSurfaces(surfaceNames)[source]ÔÉĀ

This command deletes the given surfaces from the part.

Parameters:

surfaceNames (tuple) ‚Äď A sequence of Strings specifying the surface names that will be deleted from the part.

isSetInternal(setName)[source]ÔÉĀ

This command returns a flag indicating whether the Set is Internal.

Parameters:

setName (str) ‚Äď A string specifying the Set name.

isSurfaceInternal(surfaceName)[source]ÔÉĀ

This command returns a flag indicating whether the Surface is Internal.

Parameters:

surfaceName (str) ‚Äď A string specifying the Surface name.

markSetInternal(setName, internalSet)[source]ÔÉĀ

This command marks the given Set as internal or external.

Parameters:
  • setName (str) ‚Äď A string specifying the Set name.

  • internalSet (Union[AbaqusBoolean, bool]) ‚Äď A Boolean specifying whether the Set should be marked as internal.

markSurfaceInternal(setName, internalSurface)[source]ÔÉĀ

This command marks the given Surface as internal or external.

Parameters:
  • setName (str) ‚Äď A string specifying the Surface name.

  • internalSurface (Union[AbaqusBoolean, bool]) ‚Äď A Boolean specifying whether the Surface should be marked as internal.

class Skin(name, faces=(), edges=(), elementFaces=(), elementEdges=())[source]ÔÉĀ

Bases: object

The Skin object stores information on skin reinforcements created on entities.

Note

This object can be accessed by:

import part
mdb.models[name].parts[name].skins[name]
import assembly
mdb.models[name].rootAssembly.allInstances[name].skins[name]
mdb.models[name].rootAssembly.instances[name].skins[name]
mdb.models[name].rootAssembly.skins[name]

This method creates a skin from a sequence of objects in a model database. At least one of the optional arguments needs to be specified.

Note

This function can be accessed by:

mdb.models[name].parts[name].Skin
Parameters:
  • name (str) ‚Äď A String specifying the repository key. The default value is an empty string.

  • faces (Sequence[Face], default: ()) ‚Äď A sequence of Face objects specifying the faces on which skins should be created. Applicable to three and two dimensional parts.

  • edges (Sequence[Edge], default: ()) ‚Äď A sequence of Edge objects specifying the edges on which skins should be created. Applicable to axisymmetric parts.

  • elementFaces (Sequence[MeshFace], default: ()) ‚Äď A sequence of MeshFace objects specifying the mesh faces on which skins should be created. Applicable to three and two dimensional parts.

  • elementEdges (Sequence[MeshEdge], default: ()) ‚Äď A sequence of MeshEdge objects specifying the mesh edges on which skins should be created. Applicable to axisymmetric parts.

Returns:

A Skin object.

Return type:

Skin

Member Details:

EditSkin(name='', faces=(), edges=(), elementFaces=(), elementEdges=())[source]ÔÉĀ

This method modifies underlying entities of the selected skin. At least one of the optional arguments needs to be specified.

Note

This function can be accessed by:

mdb.models[name].parts[name].Skin
Parameters:
  • name (str, default: '') ‚Äď A String specifying the repository key. The default value is an empty string.

  • faces (Sequence[Face], default: ()) ‚Äď A sequence of Face objects specifying the faces on which skins should be created. Applicable to three and two dimensional parts.

  • edges (Sequence[Edge], default: ()) ‚Äď A sequence of Edge objects specifying the edges on which skins should be created. Applicable to axisymmetric parts.

  • elementFaces (Sequence[MeshFace], default: ()) ‚Äď A sequence of MeshFace objects specifying the mesh faces on which skins should be created. Applicable to three and two dimensional parts.

  • elementEdges (Sequence[MeshEdge], default: ()) ‚Äď A sequence of MeshEdge objects specifying the mesh edges on which skins should be created. Applicable to axisymmetric parts.

Returns:

A Skin object.

Return type:

Skin

edges: EdgeArray = [][source]ÔÉĀ

An EdgeArray object.

elements: MeshElementArray = [][source]ÔÉĀ

A MeshElementArray object.

faces: FaceArray = [][source]ÔÉĀ

A FaceArray object.

class Stringer(name, edges=(), elementEdges=())[source]ÔÉĀ

Bases: object

The Stringer object stores information on stringer reinforcements created on entities.

Note

This object can be accessed by:

import part
mdb.models[name].parts[name].stringers[name]
import assembly
mdb.models[name].rootAssembly.allInstances[name].stringers[name]
mdb.models[name].rootAssembly.instances[name].stringers[name]
mdb.models[name].rootAssembly.stringers[name]

This method creates a stringer from a sequence of objects in a model database. At least one of the optional arguments needs to be specified.

Note

This function can be accessed by:

mdb.models[name].parts[name].Stringer
Parameters:
  • name (str) ‚Äď A String specifying the repository key. The default value is an empty string.

  • edges (Sequence[Edge], default: ()) ‚Äď A sequence of Edge objects specifying the edges on which stringers should be created. Applicable to three and two dimensional parts.

  • elementEdges (Sequence[MeshEdge], default: ()) ‚Äď A sequence of MeshEdge objects specifying the mesh edges on which stringers should be created. Applicable to three and two dimensional parts.

Returns:

A Stringer object.

Return type:

Stringer

Member Details:

EditStringer(name, edges=(), elementEdges=())[source]ÔÉĀ

This method modifies underlying entities of the selected stringer. At least one of the optional arguments needs to be specified.

Note

This function can be accessed by:

mdb.models[name].parts[name].Stringer
Parameters:
  • name (str) ‚Äď A String specifying the repository key. The default value is an empty string.

  • edges (Sequence[Edge], default: ()) ‚Äď A sequence of Edge objects specifying the edges on which stringers should be created. Applicable to three and two dimensional parts.

  • elementEdges (Sequence[MeshEdge], default: ()) ‚Äď A sequence of MeshEdge objects specifying the mesh edges on which stringers should be created. Applicable to three and two dimensional parts.

Returns:

A Stringer object.

Return type:

Stringer

edges: EdgeArray = [][source]ÔÉĀ

An EdgeArray object.

elements: MeshElementArray = [][source]ÔÉĀ

A MeshElementArray object.